

class HeaterFactory:
	@staticmethod
	def create(name, *args, **kwargs):
		if "sim" in name:
			from components.actor.heater_sim import HeaterSim
			print (*args)
			print (**kwargs)
			return HeaterSim(*args, **kwargs)
		elif "Hendi" in name:
			from components.actor.heater_hendi import HeaterHendi
			return HeaterHendi(*args, **kwargs)
